Loading...
Searching...
No Matches
mongo_sync_cursor Struct Reference

Opaque Mongo Cursor object. More...

`#include <libmongo-private.h>`

Collaboration diagram for mongo_sync_cursor:
[legend]

## Data Fields

mongo_sync_connection * | conn
| The connection associated with the cursor.
gchar * | ns
| The namespace of the cursor.
mongo_packet * | results
| The current result set, as a mongo packet.
gint32 | offset
| Offset of the cursor within the active result set.
mongo_reply_packet_header | ph
| The reply headers extracted from the active result set.

## Detailed Description

Opaque Mongo Cursor object.

MongoDB cursor object.

The cursor object can be used to conveniently iterate over a query result set.

## Field Documentation

## conn

mongo_sync_connection* mongo_sync_cursor::conn

The connection associated with the cursor.

Owned by the caller.